Bug 62851 - UI: Shapes without name cannot be selected via Navigator
Summary: UI: Shapes without name cannot be selected via Navigator
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium enhancement
Assignee: Not Assigned
QA Contact:
URL:
Whiteboard:
Keywords:
: 94034 (view as bug list)
Depends on:
Blocks: Objects
  Show dependency treegraph
 
Reported: 2013-03-28 08:34 UTC by Rainer Bielefeld Retired
Modified: 2016-06-21 20:42 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Bielefeld Retired 2013-03-28 08:34:27 UTC
Steps how to reproduce with parallel Dev-installation of  "Version 4.1.0.0.alpha0+ (Build ID: 094bab7f9097fba62800d3dd578bd42640d8c6e2) TinderBox: Win-x86@6, Branch:master, Pull Time: 2013-03-18_01:35:56" ENGLISH UI / German Locale on German WIN7 Home Premium (64bit) with LODev/4 Masters User Profile 

1. Download Attachment 76812 [details] for Bug 62555, open from LibO Start Senter
2. Activate Navigator by click in Standard Toolbar if necessary
3. In Heading of Navigator Activate 'Show Shapes -> All Shapes'
4. Expand Slide 3 in Navigator
    > Shows 3 shapes
5. Try to select one of them by double click
   Bug: Impossible
6. Rightclick any shape in Slide 3 -> Name -> "MyNamedShape" <ok>
   > Name appears in navigator
7. Click into white area in slide
8. doubleclick on "MyNamedShape" in Navigator
   > Now it will be selected

That problem does not exist for OLE objects
Comment 1 Rainer Bielefeld Retired 2013-03-28 08:36:33 UTC
New due to AOOo#96488 - unnamed shapes cannot be marked via navigator

That's not a trivial bug as stated in OOo issue, worflow for editing transparent and hidden shapes could be improved very much if that function would work
Comment 2 QA Administrators 2015-02-19 15:44:18 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice (4.4.0.3 or later): https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and your operating system, and any changes you see in the bug behavior

If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not appropriate in this case)

Thank you for your help!

-- The LibreOffice QA Team
This NEW Message was generated on: 2015-02-19
Comment 3 Jean-Baptiste Faure 2015-03-01 14:34:18 UTC
Nothing changed. 

There is an easy workaround: name your shapes.
As this bug was always there, I think this behavior is by design. So it should be an enhancement instead of a defect. Setting importance accordingly.

Best regards. JBF
Comment 4 Buovjaga 2015-09-18 10:03:58 UTC
*** Bug 94034 has been marked as a duplicate of this bug. ***
Comment 5 MarjaE 2015-11-17 13:44:41 UTC
> There is an easy workaround: name your shapes.

WHAT?

I don't know what the "Navigator" is, or how to use it, so I don't know how well it would work if it did work.

But I don't think naming everything is an "easy workaround." I was just working on a drawing with about 1,400 objects. I group objects, which helps. Even if I wasn't clumsy, and didn't have rsi and trouble with too much typing, I don't think I would be able to nme every object.
Comment 6 MarjaE 2015-11-17 13:51:29 UTC
Anyway, I was redirected here from another selection bug, which is why I am commenting on a bug in a feature I know nothing else about.
Comment 7 Heiko Tietze 2016-06-21 12:24:17 UTC
(In reply to Jean-Baptiste Faure from comment #3)
> There is an easy workaround: name your shapes.
Which is not well supported (i.e. no item in the context menu). And when you create shapes automatically, e.g. per duplication, they do not receive a default name like Shape0815. Could be done easily. 

Another issue is that a tree indicates a selection capability. You single click items, with or without multiselection enabled. The double click usually starts a function, for instance execute the app or load the document in the associated program for file browsers. Single and multi selection is missing in Libreoffice. Also there is no indication vice versa when you select more than one object. The navigator highlights only a single item.

(In reply to MarjaE from comment #5)
> I don't know what the "Navigator" is, or how to use it, so I don't know how
> well it would work if it did work.

There is no particular help for Draw but it's the same as for Writer, Calc, or Impress (https://help.libreoffice.org/Common/Navigator). Either press F5 or use the lowest tab. It will show a tree for navigation and interaction (only a few functions are available in Draw today).
Comment 8 Cor Nouws 2016-06-21 15:58:50 UTC
Why is this "needsUXEval"?
It's new. and a useful enhancement request.
Comment 9 Heiko Tietze 2016-06-21 20:34:41 UTC
(In reply to Cor Nouws from comment #8)
> Why is this "needsUXEval"?
> It's new. and a useful enhancement request.

The use case is multiselection and the proposed way is to use the navigator. There could be alternative ways for the use case but also additional features to implement with this idea. That's why I set UX for all enhancements.
Comment 10 Cor Nouws 2016-06-21 20:42:10 UTC
(In reply to Heiko Tietze from comment #9)

> The use case is multiselection and the proposed way is to use the navigator.

The summary reads: "Shapes without name cannot be selected via Navigator"  ...
So I missed that use case. Sorry :)

Maybe it should be separate issue.